View Issue Details

IDProjectCategoryView StatusLast Update
0005040Multi Theft Auto : San AndreasClientpublic2009-10-12 15:42
ReporterZortacAssigned Toccw 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target Version1.0.2Fixed in Version1.0.2 
Summary0005040: C++ Assertion failed error on click
Description

Assertion failed!

Program: ...
File: c:\TeamCity\buildAgent\work\2d04.../SyncSt...tures.h
Line: 54

Expression: !_isnan ( dValue )

For information on how your program can cause an assertion
failure, see the Visual C++ documentation on asserts

(Press Retry to debug the application - JIT must be enabled)

Error shows up after about one minute.
It happened while I was experimenting with the race resource (modified the script to learn on lua)
I don't know if you are supposed to join 1.0 servers with the 1.0.1 client, but if not I think it should prevent you from doing so. The very same script works with a 1.0 client.
Anyhow I don't think a script should be able to crash the client at all.

TagsNo tags attached.

Relationships

has duplicate 0005054 closed New issues Assertion Failure (Most Likely Collision Related) 
related to 0005045 closed New issues C++ Assertion failed error on click 

Activities

x86

2009-10-03 18:05

administrator   ~~0010633

Last edited: 2009-10-03 18:05

Works fine here, my server is 1.0 and my client is 1.0.1

Talidan

2009-10-03 18:15

administrator   ~~0010634

The only way we can realistically reproduce this is if it always happens on your server, or you are able to provide the modified race or any running resources that cause it.

ccw

2009-10-04 00:04

administrator   ~~0010643

Fixed in http://github.com/ccw808/multitheftauto/commit/fbf4eb48980787d3415faa26d6a94b06322320ff

TimOn

2009-10-12 15:42

viewer   ~~0010690

This error actual for 1.0.1 server with 1.0.1 client, too. But not for all computers.

Issue History

Date Modified Username Field Change